$(document).ready(function () {
  $(document).off('click',pChange).on('click','.choose-child',pChange);
  $(document).off('click',showpm).on('click','.pm',showpm);
  $(document).off('click',showpw).on('click','.pw',showpw);
  $(document).off('click',isEmpty).on('click','.sm-input-style',isEmpty);
})
function pChange(){
  $('.choose-child').each(function () {
    $(this).css({'background-color':'','color':'','border-radius':
          ''});
  })
  $(this).css({'background-color':' #e24f46','color':'white','border-radius':
  '5px'});
}
function showpm() {
  $('.personal-msg-frame').css('display','block');
  $('.change-pw-frame').css('display','none');
}
function showpw() {
  $('.personal-msg-frame').css('display','none');
  $('.change-pw-frame').css('display','block');
}
function isEmpty(e)
{
  var isem=false;
  $('.pw-input-style').each(function () {
        if($(this).val().length<=0)
        {
          e.preventDefault();
          alert($(this).attr('name')+'不能为空');
          isem=true;
          return false;
        }
      }
  )
  if($('.pw-input-style').eq(1).val()!=$('.pw-input-style').eq(2)
  .val()&&!isem)
  {
    e.preventDefault();
    alert('两次密码不同');
    return false;
  }
}